Examplary
Start for free
Developer docs

Get file upload URL

GEThttps://api.examplary.ai/media/upload

Returns a signed URL for uploading a file, and a public URL for accessing it afterwards.

Query parameters

filenamestring· default: image.jpg

Original attachment filename

typestring· default: avatar

Category of file, used for grouping

contentTypestring· default: image/jpeg

MIME type of the attachment

Responses

200

uploadUrlstring· uri
publicUrlstring· uri

400 — Validation Error

successbooleanrequired

Allowed values:false

errorarray any[]required
dataanyrequired

429 — Rate limit exceeded

Requirements

Rate limit

200 requests per minute per user.

OAuth scopes

This endpoint requires the media:write scope to be present.